#include <map>

class Input {

  public:
    inline static std::map<int, bool> keys_down;

    static void set_key_down(int key, bool down) {
        keys_down[key] = down;
    }

    static bool is_key_down(int key) {
        return keys_down[key];
    }
};